Class
BlastReport
Object for storing Blast report information.

BlastReport

StoreReport | StreamReport

BlastReport<TBlastHsp, TSpec>
Include Headers
blast.h
Parameters

TBlastHsp | The type of HSPs that are to be stored. Default: BlastHsp<BlastN,BasicInfo> Remarks: see BlastHsp.
TSpec | The specializing type. Types: StoreReport, StreamReport Default: StreamReport Remarks: StoreReport requires more space while StreamReport will be more time consuming if hits are iterated over more than once.

Remarks
Hits and HSPs can be iterated over by using HitIterator and HspIterator.
Specializations

StoreReport | BlastReport specialization. Parses a Blast report and stores all hits and HSPs.
StreamReport | BlastReport specialization that works on a file stream (parses hits/HSPs when iterating over them).

Metafunctions

Hit | Blast Hit type of a Blast object.
Host | Type of the object a given object depends on.
Hsp | Blast HSP type of a Blast object.
Iterator | Type of iterator objects that are used to traverse the container.

Functions

atEnd | Determines whether an iterator is at the end position.
databaseName | Reference to the name (identifier) of the database in a Blast report.
getDatabaseName | The name (identifier) of the database in a Blast report.
getNext | Get next Blast report from a file containing multiple Blast reports.
getQueryName | The name (identifier) of the query in a Blast report.
queryName | Reference to the name (identifier) of the query in a Blast report.

Example Programs
Blast Reports
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45